
.agreement {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgba(0,0,0,.8);
    padding: 10px;
    z-index: 900;
    color: var(--lightColor);
    font-size: 13px;
}

.agreement.hidden {
    bottom: -100%;
}

.agreement__contents {
    position: relative;
    max-width: 1000px;
    margin: 0 auto;
}

.agreement h3 {
    font-size: 18px;
    margin-bottom: 15px;
    font-weight: normal;
}

.agreement p:last-of-type {
    padding-bottom: 35px;
}

.agreement__optional {
    display: none;
}

.agreement a {
    color: inherit;
    text-decoration: none;
}

.agreement__accept,
.agreement__policy {
    padding: 5px 10px;
    background-color: transparent;
    font-family: inherit;
    color: var(--lightColor);
    border: 1.5px solid var(--lightColor);
    border-radius: 5px;
    cursor: pointer;
    transition: .3s;
}

.agreement button:hover {
    background-color: var(--lightColor);
    color: var(--darkColor);
}

.agreement__accept {
    position: absolute;
    top: 0;
    right: 0;
    font-size: 18px;
}

.agreement__policy {
    position: absolute;
    right: 0;
    bottom: 0;
}

@media (min-width: 1000px) {
    .agreement p:last-of-type {
        padding-bottom: 15px;
    }
}